diff -u b/drivers/input/keyboard/lkkbd.c b/drivers/input/keyboard/lkkbd.c
--- b/drivers/input/keyboard/lkkbd.c	2004-10-28 22:39:46 -07:00
+++ b/drivers/input/keyboard/lkkbd.c	2004-10-28 22:38:01 -07:00
@@ -14,13 +14,13 @@
  * DISCLAIMER: This works for _me_. If you break anything by using the
  * information given below, I will _not_ be liable!
  *
- * RJ11 pinout:		To DE9:		Or DB25:
+ * RJ11 pinout:		To DB9:		Or DB25:
  * 	1 - RxD <---->	Pin 3 (TxD) <->	Pin 2 (TxD)
  * 	2 - GND <---->	Pin 5 (GND) <->	Pin 7 (GND)
  * 	4 - TxD <---->	Pin 2 (RxD) <->	Pin 3 (RxD)
- * 	3 - +12V (from HDD drive connector), DON'T connect to DE9 or DB25!!!
+ * 	3 - +12V (from HDD drive connector), DON'T connect to DB9 or DB25!!!
  *
- * Pin numbers for DE9 and DB25 are noted on the plug (quite small:). For
+ * Pin numbers for DB9 and DB25 are noted on the plug (quite small:). For
  * RJ11, it's like this:
  *
  *      __=__	Hold the plug in front of you, cable downwards,
diff -u b/drivers/input/serio/i8042-io.h b/drivers/input/serio/i8042-io.h
--- b/drivers/input/serio/i8042-io.h	2004-10-28 22:39:46 -07:00
+++ b/drivers/input/serio/i8042-io.h	2004-10-28 22:38:00 -07:00
@@ -67,7 +67,7 @@
  * On some platforms touching the i8042 data register region can do really
  * bad things. Because of this the region is always reserved on such boxes.
  */
-#if !defined(__sh__) && !defined(__alpha__) && !defined(__mips__) && !defined(CONFIG_PPC64)
+#if !defined(__sh__) && !defined(__alpha__) && !defined(__mips__)
 	if (!request_region(I8042_DATA_REG, 16, "i8042"))
 		return -1;
 #endif
@@ -85,7 +85,7 @@
 
 static inline void i8042_platform_exit(void)
 {
-#if !defined(__sh__) && !defined(__alpha__) && !defined(CONFIG_PPC64)
+#if !defined(__sh__) && !defined(__alpha__)
 	release_region(I8042_DATA_REG, 16);
 #endif
 }
